org.apache.uima.cas.impl

## Class CasSerializerSupport.CasSerializerSupportSerialize

- java.lang.Object
- - org.apache.uima.cas.impl.CasSerializerSupport.CasSerializerSupportSerialize

- Enclosing class:
    CasSerializerSupport

      public abstract static class CasSerializerSupport.CasSerializerSupportSerialize
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CasSerializerSupportSerialize()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addNameSpace(org.apache.uima.internal.util.XmlElementName xmlElementName)`
    `protected abstract void` | `checkForNameCollision(org.apache.uima.internal.util.XmlElementName xmlElementName)`
    `protected abstract void` | `initializeNamespaces()`
    `protected abstract org.apache.uima.internal.util.XmlElementName` | `uimaTypeName2XmiElementName(String typeName)`
    `protected abstract void` | `writeArrays(TOP fsarray, int typeCode, int typeClass)`
    `protected abstract void` | `writeEndOfIndividualFs()`
    `protected abstract void` | `writeEndOfSerialization()`
    `protected abstract void` | `writeFeatureStructures(int elementCount)`
    `protected abstract void` | `writeFs(TOP fs, int typeCode)`
    `protected abstract void` | `writeFsRef(TOP fs)`
    `protected abstract boolean` | `writeFsStart(TOP fs, int typeCode)`
    `protected abstract void` | `writeListsAsIndividualFSs(TOP fs, int typeCode)`
    `protected abstract void` | `writeView(Sofa sofa, Collection<TOP> members)`
    `protected abstract void` | `writeView(Sofa sofa, Collection<TOP> added, Collection<TOP> deleted, Collection<TOP> reindexed)`
    `protected abstract void` | `writeViews()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CasSerializerSupportSerialize

          public CasSerializerSupportSerialize()

  - ### Method Detail

    - #### initializeNamespaces

          protected abstract void initializeNamespaces()

    - #### checkForNameCollision

          protected abstract void checkForNameCollision(org.apache.uima.internal.util.XmlElementName xmlElementName)

    - #### addNameSpace

          protected abstract void addNameSpace(org.apache.uima.internal.util.XmlElementName xmlElementName)

    - #### uimaTypeName2XmiElementName

          protected abstract org.apache.uima.internal.util.XmlElementName uimaTypeName2XmiElementName(String typeName)

    - #### writeFeatureStructures

          protected abstract void writeFeatureStructures(int elementCount)
                                                  throws Exception

      Throws:
        `Exception`

    - #### writeViews

          protected abstract void writeViews()
                                      throws Exception

      Throws:
        `Exception`

    - #### writeView

          protected abstract void writeView(Sofa sofa,
                                            Collection<TOP> members)
                                     throws Exception

      Throws:
        `Exception`

    - #### writeView

          protected abstract void writeView(Sofa sofa,
                                            Collection<TOP> added,
                                            Collection<TOP> deleted,
                                            Collection<TOP> reindexed)
                                     throws Exception

      Throws:
        `Exception`

    - #### writeFsStart

          protected abstract boolean writeFsStart(TOP fs,
                                                  int typeCode)
                                           throws Exception

      Parameters:
        `fs` - -
        `typeCode` - -
      Returns:
        true if writing out referenced items (JSON)
      Throws:
        `Exception` - -

    - #### writeFs

          protected abstract void writeFs(TOP fs,
                                          int typeCode)
                                   throws Exception

      Throws:
        `Exception`

    - #### writeListsAsIndividualFSs

          protected abstract void writeListsAsIndividualFSs(TOP fs,
                                                            int typeCode)
                                                     throws Exception

      Throws:
        `Exception`

    - #### writeArrays

          protected abstract void writeArrays(TOP fsarray,
                                              int typeCode,
                                              int typeClass)
                                       throws Exception

      Throws:
        `Exception`

    - #### writeEndOfIndividualFs

          protected abstract void writeEndOfIndividualFs()
                                                  throws Exception

      Throws:
        `Exception`

    - #### writeEndOfSerialization

          protected abstract void writeEndOfSerialization()
                                                   throws Exception

      Throws:
        `Exception`

    - #### writeFsRef

          protected abstract void writeFsRef(TOP fs)
                                      throws Exception

      Throws:
        `Exception`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.